
package net.mcreator.forutitilies.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.PiglinModel;

import net.mcreator.forutitilies.entity.AstralPiglinEntity;

public class AstralPiglinRenderer extends MobRenderer<AstralPiglinEntity, PiglinModel<AstralPiglinEntity>> {
	public AstralPiglinRenderer(EntityRendererProvider.Context context) {
		super(context, new PiglinModel(context.bakeLayer(ModelLayers.PIGLIN)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(AstralPiglinEntity entity) {
		return ResourceLocation.parse("for_utitilies:textures/entities/piglin_baby.png");
	}
}
