
package net.mcreator.forutitilies.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.layers.HumanoidArmorLayer;
import net.minecraft.client.renderer.entity.HumanoidMobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.HumanoidModel;

import net.mcreator.forutitilies.entity.BeeswaxHuskEntity;

public class BeeswaxHuskRenderer extends HumanoidMobRenderer<BeeswaxHuskEntity, HumanoidModel<BeeswaxHuskEntity>> {
	public BeeswaxHuskRenderer(EntityRendererProvider.Context context) {
		super(context, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER)), 1f);
		this.addLayer(new HumanoidArmorLayer(this, new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_INNER_ARMOR)), new HumanoidModel(context.bakeLayer(ModelLayers.PLAYER_OUTER_ARMOR)), context.getModelManager()));
	}

	@Override
	public ResourceLocation getTextureLocation(BeeswaxHuskEntity entity) {
		return ResourceLocation.parse("for_utitilies:textures/entities/husk.png");
	}
}
