
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.forutitilies.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.event.entity.RegisterSpawnPlacementsEvent;
import net.neoforged.neoforge.event.entity.EntityAttributeCreationEvent;
import net.neoforged.neoforge.capabilities.RegisterCapabilitiesEvent;
import net.neoforged.neoforge.capabilities.Capabilities;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;
import net.neoforged.bus.api.EventPriority;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;
import net.minecraft.core.registries.Registries;

import net.mcreator.forutitilies.entity.VolcanehCowEntity;
import net.mcreator.forutitilies.entity.HerobrineEntity;
import net.mcreator.forutitilies.entity.DesertCreeperEntity;
import net.mcreator.forutitilies.entity.BeeswaxHuskEntity;
import net.mcreator.forutitilies.entity.AstralPiglinEntity;
import net.mcreator.forutitilies.entity.AstralPiglinBruteEntity;
import net.mcreator.forutitilies.ForUtitiliesMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class ForUtitiliesModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(Registries.ENTITY_TYPE, ForUtitiliesMod.MODID);
	public static final DeferredHolder<EntityType<?>, EntityType<DesertCreeperEntity>> DESERT_CREEPER = register("desert_creeper",
			EntityType.Builder.<DesertCreeperEntity>of(DesertCreeperEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3)

					.sized(0.8f, 1.9f));
	public static final DeferredHolder<EntityType<?>, EntityType<HerobrineEntity>> HEROBRINE = register("herobrine",
			EntityType.Builder.<HerobrineEntity>of(HerobrineEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3)

					.sized(0.6f, 1.8f));
	public static final DeferredHolder<EntityType<?>, EntityType<BeeswaxHuskEntity>> BEESWAX_HUSK = register("beeswax_husk",
			EntityType.Builder.<BeeswaxHuskEntity>of(BeeswaxHuskEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3)

					.sized(0.6f, 1.8f));
	public static final DeferredHolder<EntityType<?>, EntityType<AstralPiglinEntity>> ASTRAL_PIGLIN = register("astral_piglin",
			EntityType.Builder.<AstralPiglinEntity>of(AstralPiglinEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(66).setUpdateInterval(3)

					.sized(0.6f, 1.95f));
	public static final DeferredHolder<EntityType<?>, EntityType<VolcanehCowEntity>> VOLCANEH_COW = register("volcaneh_cow",
			EntityType.Builder.<VolcanehCowEntity>of(VolcanehCowEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3)

					.sized(0.9f, 1.4f));
	public static final DeferredHolder<EntityType<?>, EntityType<AstralPiglinBruteEntity>> ASTRAL_PIGLIN_BRUTE = register("astral_piglin_brute",
			EntityType.Builder.<AstralPiglinBruteEntity>of(AstralPiglinBruteEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(66).setUpdateInterval(3)

					.sized(0.6f, 1.95f));

	// Start of user code block custom entities
	// End of user code block custom entities
	private static <T extends Entity> DeferredHolder<EntityType<?>, EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent(priority = EventPriority.HIGHEST)
	public static void registerCapabilities(RegisterCapabilitiesEvent event) {
		event.registerEntity(Capabilities.ItemHandler.ENTITY, HEROBRINE.get(), (living, context) -> living.getCombinedInventory());
	}

	@SubscribeEvent
	public static void init(RegisterSpawnPlacementsEvent event) {
		DesertCreeperEntity.init(event);
		HerobrineEntity.init(event);
		BeeswaxHuskEntity.init(event);
		AstralPiglinEntity.init(event);
		VolcanehCowEntity.init(event);
		AstralPiglinBruteEntity.init(event);
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(DESERT_CREEPER.get(), DesertCreeperEntity.createAttributes().build());
		event.put(HEROBRINE.get(), HerobrineEntity.createAttributes().build());
		event.put(BEESWAX_HUSK.get(), BeeswaxHuskEntity.createAttributes().build());
		event.put(ASTRAL_PIGLIN.get(), AstralPiglinEntity.createAttributes().build());
		event.put(VOLCANEH_COW.get(), VolcanehCowEntity.createAttributes().build());
		event.put(ASTRAL_PIGLIN_BRUTE.get(), AstralPiglinBruteEntity.createAttributes().build());
	}
}
